$main::preferences{AutoLink} = [
    {
	desc =>"Prefix for title of autolinked page" , 
	name =>"autolink_prefix" 
    },
    { 
	desc =>"Postfix for title of autolinked page",
	name =>"autolink_postfix" 
    },
];

my $prefix =$main::config{autolink_prefix};
my $postfix=$main::config{autolink_postfix};

if( $postfix || $prefix ){
    my $startsWith=unpack('h*',$prefix || '');
    my $endsWith  =unpack('h*',$postfix || '');
    my @symbols = sort{ length($a) <=> length($b) }
	grep( defined($_)
	,map( ($_=~/^${startsWith}(.+)${endsWith}$/ 
	      ? pack('h*',$1)
	      : undef ) , &list_page() ));

    my $engine = \&main::syntax_engine;
    *main::syntax_engine = sub {
	my ($text,$session) = @_;
	$$text =~ s/\[\[.+?\]\]/"\f".unpack('h*',$&)."\f"/ge;
	$$text =~ s/&gt;&gt;\{.+?\}/"\f".unpack('h*',$&)."\f"/ge;
	$$text =~ s/\(\(.+?\)\)/"\f".unpack('h*',$&)."\f"/ge;
	foreach my $word ( @symbols ){
	    $$text =~ s/$word/[[$&|$prefix$&$postfix]]/g;
	}
	$$text =~ s/\f(.+)\f/pack('h*',$1)/ge;
	$$text = $engine->($text,$session);
    };
}
